<nav class="navbar navbar-dark bg-primary mb-3">
    <div class="container-fluid">
        <a class="navbar-brand">List Cryptocurrency</a>
    </div>
</nav>

<div class="container text-center mb-4">
    <div class="row">
        <h3 class="col-6" for="latitude"><b>Latitude:</b> {{ client.latitude || '' }}</h3>
        <h3 class="col-6" for="latitude"><b>Longitude:</b> {{ client.longitude || '' }}</h3>
        <h3 class="col-6" for="latitude"><b>IP:</b> {{ client.ip || '' }}</h3>
        <h3 class="col-6" for="latitude"><b>Device:</b> {{ client.device || '' }}</h3>
        <h3 class="col-6" for="latitude"><b>Date:</b> {{ client.search_date || '' }}</h3>
        <div class="col-6">
            <button type="button" class="btn btn-primary" (click)="saveDate()" style="width: 60%;">Save data</button>
        </div>
    </div>
</div>

<div class="mat-elevation-z8" style="margin-left: 5%; margin-right: 5%;">
    <mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
            <mat-cell *matCellDef="let row" data-label="id"> {{row.id}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="name">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Name </mat-header-cell>
            <mat-cell *matCellDef="let row" data-label="name"> {{row.name}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="symbol">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Symbol </mat-header-cell>
            <mat-cell *matCellDef="let row" data-label="symbol"> {{row.symbol}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="platforms">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Platforms </mat-header-cell>
            <mat-cell *matCellDef="let row" data-label="platforms">
                <span *ngIf="row.keys.length === 0"><b>NOT PLATFORMS</b></span>
                <ng-container *ngFor="let platform of row.keys">
                    {{platform}}
                    <br/>
                </ng-container>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 50, 100]"></mat-paginator>
</div>